org.apache.felix.systemready

## Enum StateType

- java.lang.Object
- - java.lang.Enum<StateType>
  - - org.apache.felix.systemready.StateType

All Implemented Interfaces:
  Serializable, Comparable<StateType>

Deprecated.
Use the Apache Felix Healthchecks instead.

    @Deprecated
    public enum StateType
    extends Enum<StateType>

This framework is deprecated.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALIVE` Deprecated.
`READY` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static StateType` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static StateType[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALIVE

    public static final StateType ALIVE

Deprecated.

#### READY

    public static final StateType READY

Deprecated.

### Method Detail

#### values

    public static StateType[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StateType c : StateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StateType valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null